# $Revision: 1.351 $, $Date: 2012/05/03 19:32:10 $
#
# TODO: some unpackaged files
#
# Conditional build:
%bcond_without	aalib		# without aa plugin (which requires aalib)
%bcond_without	python		# without python plugins
%bcond_without	webkit		# without webkit-based help browser
%bcond_with	posix_shm	# with POSIX SHM (default is SysV SHM)
#
%define	mver	2.0
Summary:	The GNU Image Manipulation Program
Summary(de.UTF-8):	Das GNU-Bildbearbeitungs-Programm
Summary(es.UTF-8):	Programa de manipulación de imagen GNU
Summary(fr.UTF-8):	Le programme de manipulation d'images de GNU
Summary(pl.UTF-8):	Program GNU do manipulacji formatami graficznymi (GIMP)
Summary(pt_BR.UTF-8):	Programa de manipulação de imagem GNU
Summary(ru.UTF-8):	The GNU Image Manipulation Program
Summary(tr.UTF-8):	Çizim, boyama ve görüntü işleme programı
Summary(uk.UTF-8):	The GNU Image Manipulation Program
Summary(zh_CN.UTF-8):	[图像]GNU图象处理工具
Summary(zh_TW.UTF-8):	[圖像]GNU圖象處理工具
Name:		gimp
Version:	2.8.0
Release:	1
Epoch:		1
License:	GPL v3+
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.gimp.org/pub/gimp/v2.8/%{name}-%{version}.tar.bz2
# Source0-md5:	28997d14055f15db063eb92e1c8a7ebb
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-gcc4.patch
URL:		http://www.gimp.org/
%{?with_aalib:BuildRequires:	aalib-devel}
BuildRequires:	alsa-lib-devel >= 1.0.11
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	babl-devel >= 0.1.4
BuildRequires:	curl-devel >= 7.15.1
BuildRequires:	cairo-devel >= 1.4.10
BuildRequires:	dbus-glib-devel >= 0.70
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gegl-devel >= 0.2.0
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	glib2-devel >= 1:2.16.1
BuildRequires:	gtk+2-devel >= 2:2.12.5
BuildRequires:	gtk-doc >= 1.6
%{?with_webkit:BuildRequires:	gtk-webkit-devel >= 1.1.0}
BuildRequires:	intltool >= 0.36.3
BuildRequires:	iso-codes
BuildRequires:	lcms-devel >= 1.16
BuildRequires:	libexif-devel >= 0.6.15
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel
BuildRequires:	libpng-devel >= 1.2.12
BuildRequires:	librsvg-devel >= 1:2.15.0
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libwmf-devel >= 2:0.2.8
BuildRequires:	pango-devel >= 1:1.18.0
BuildRequires:	pkgconfig >= 1:0.16
BuildRequires:	poppler-devel >= 0.17
%{?with_python:BuildRequires:	python-pygtk-devel >= 1:2.10.4}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	udev-glib-devel >= 1:167
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXpm-devel
Requires(post,postun):	gtk+2 >= 2:2.10.13
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	curl >= 7.15.1
Requires:	dbus-glib >= 0.70
Requires:	hicolor-icon-theme
Requires:	lcms >= 1.16
Requires:	libexif >= 0.6.15
%{?with_python:Requires:	python-pygtk-gtk >= 1:2.10.4}
Obsoletes:	gimp-data-min
Obsoletes:	gimp-libgimp
Obsoletes:	gimp-print
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GIMP is an image manipulation program suitable for photo
retouching, image composition and image authoring. Many people find it
extremely useful in creating logos and other graphics for web pages.
The GIMP has many of the tools and filters you would expect to find in
similar commercial offerings, and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including
channel operations and layers, effects, sub-pixel imaging and
anti-aliasing, and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of
the included scripts rely on fonts that we cannot distribute. The GIMP
FTP site has a package of fonts that you can install by yourself,
which includes all the fonts needed to run the included scripts.

%description -l es.UTF-8
GIMP es un programa de manejo de imágenes adecuado para retoque de
fotos, composición y editoración de imágenes. Muchas personas lo
encuentran extremamente útil en la creación de logos y otros gráficos
para páginas web. GIMP tiene muchas herramientas y filtros normalmente
encontrados en aplicaciones comerciales similares, además de
características extras bien interesantes. GIMP ofrece una extensa caja
de herramientas de manejo de imagen, incluyendo camadas, efectos,
formación de imagen subpíxel y antialiasing, conversiones, todos con
deshacer en varios niveles (multi-level undo).

%description -l fr.UTF-8
Le Programme de Manipulation d'Image de GNU permet de retoucher des
photos, de réaliser des compositions. Beaucoup de gens l'apprécient
pour la création de logos et de graphismes pour les pages web. GIMP
dispose d'un grand nombre de filtres et de plug-ins que l'on ne trouve
que dans les logiciels commerciaux haut de gamme ainsi que de
nombreuses fonctionnalité inédites.

GIMP fournit une boite à outil permettant de gérer plusieurs calques,
de nombreux effets, l'anti-aliasing, les conversions de fichiers ainsi
qu'un grand nombre de niveaux d'annulation.

%description -l pl.UTF-8
Program GIMP jest przeznaczony do obróbki i tworzenia plików w różnych
formatach graficznych. Przy jego użyciu można tworzyć grafikę dla
stron WWW, retuszować zdjęcia, czy stworzyć własne logo.

GIMP dostarcza duży zestaw narzędzi do obróbki obrazów, w tym do
operowania na kanałach i warstwach, efektów, antyaliasingu oraz
konwersji, a to wszystko z wielopoziomowym cofaniem operacji.

%description -l pt_BR.UTF-8
O GIMP é um programa de manipulação de imagens adequado para retoque
de fotos, composição e editoração de imagens. Muitas pessoas o acham
extremamente útil na criação de logos e outros gráficos para páginas
web. O GIMP tem muitas ferramentas e filtros normalmente encontrados
em aplicações comerciais similares, além de características extras bem
interessantes.

O GIMP fornece uma extensa caixa de ferramentas de manipulação de
imagem, incluindo camadas, efeitos, formação de imagem subpíxel e
anti-aliasing, conversões, todos com desfazimento em vários níveis
(multi-level undo).

%description -l ru.UTF-8
GIMP - это программа для создания и обработки изображений. Ее считают
исключительно полезной для создания логотипов и другой графики для
web-страниц. GIMP имеет множество инструментов и фильтров, которые
обычно включаются в аналогичные коммерческие пакеты, а также ряд
возможностей, присущих только ей.

GIMP предоставляет большой набор инструментов для работы с графикой,
включающий операции над каналами, слоями, эффекты, sub-pixel imaging и
антиалиасинг, всяческие конверторы и все это с многоуровневым откатом.

GIMP включает поддержку создания сценариев (scripting facility),
однако многие из поставляемых с программой сценариев предполагают
наличие шрифтов, которые не могут быть включены в дистрибутив.
FTP-сайт GIMP содержит пакет шрифтов, которые вы можете поставить
самостоятельно, включающий все шрифты, необходимые для работы входящих
в комплект сценариев. Некоторые из шрифтов имеют весьма необычные
лицензионные требования; все лицензии включены в упомянутый пакет.
Скачайте ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz и
ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz, если хотите
запускать сценарии без изменений или выберите те шрифты, которые
установлены у вас в системе, перед запуском сценариев.

%description -l uk.UTF-8
GIMP - це програма для створення та обробки зображень. Її вважають
дуже корисною для створення логотипів та іншої графіки для
web-сторінок. GIMP має багато інструментів та фільтрів, які звичайно
включаються в аналогічні комерційні пакети, а також ряд можливостей,
властивих саме їй.

GIMP надає великий набір інструментів для роботи з графікою, що
включає операції над каналами, шарами (layers), ефекти, sub-pixel
imaging і антиаліасинг, різноманітні конвертори і все це з
багаторівневим відкатом.

GIMP має підтримку сценаріїв (scripting facility), проте багато з
включених до поставки сценаріїв припускають наявність шрифтів, які не
можуть бути включені в дистрибутив. FTP-сайт GIMP містить пакет
шрифтів, котрі ви можете встановити самостійно, в який входять всі
шрифти, необхідні для роботи сценаріїв з поставки GIMP. Деякі з
шрифтів мають вельми незвичайні ліцензійні умови; всі ліцензії
включено в згаданий пакет. Завантажте
ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz та
ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz. якщо хочете
запускати сценарії без змін або ж виберіть встановалені у вас в
системі шрифти перед запуском сценаріїв.

%package libs
Summary:	GIMP libraries
Summary(pl.UTF-8):	Biblioteki GIMP-a
License:	LGPL v2+
Group:		Libraries
Requires:	glib2 >= 1:2.16.1
Requires:	gtk+2 >= 2:2.12.5
Requires:	pango >= 1:1.18.0

%description libs
This package contains GIMP libraries.

%description libs -l pl.UTF-8
Pakiet zawiera biblioteki GIMP-a.

%package devel
Summary:	GIMP plugin and extension development kit
Summary(de.UTF-8):	GIMP-Plugin und Extension Development Kit
Summary(es.UTF-8):	Kit de desarrollo de "plugins" extensiones para GIMP
Summary(fr.UTF-8):	Plugin GIMP et kit de développement d'extensions
Summary(pl.UTF-8):	Pliki do budowania modułów i rozszerzeń dla GIMPa
Summary(pt_BR.UTF-8):	Kit de desenvolvimento de "plugins" extensões para o GIMP
Summary(ru.UTF-8):	Инструментарий для разработки плагинов и расширений GIMP
Summary(tr.UTF-8):	GIMP plugin ve uzantı geliştirme araçları
Summary(uk.UTF-8):	Інструментарій для розробки плагінів та розширень GIMP
Summary(zh_CN.UTF-8):	[开发]gimp的开发包
Summary(zh_TW.UTF-8):	[開發]gimp的開發包
License:	LGPL v2+
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 1:2.16.1
Requires:	gtk+2-devel >= 2:2.12.5

%description devel
Header files for writing GIMP plugins and extensions.

%description devel -l de.UTF-8
Header-Dateien zum Schreiben von GIMP-Plugins und -Erweiterungen.

%description devel -l es.UTF-8
Bibliotecas y archivos de inclusión para escribir extensiones y
plugins para GIMP.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia wtyczek i rozszerzeń dla GIMPa.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para escrever extensões e plugins
para o GIMP.

%package static
Summary:	GIMP static libraries
Summary(pl.UTF-8):	Biblioteki statyczne GIMPa
License:	LGPL v2+
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
GIMP static libraries.

%description static -l es.UTF-8
Bibliotecas estáticas para escribir extensiones y plugins para GIMP.

%description static -l pl.UTF-8
Biblioteki statyczne GIMPa.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento de plugins e extensões do
GIMP.

%package apidocs
Summary:	GIMP API documentation
Summary(pl.UTF-8):	Dokumentacja API GIMPa
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GIMP API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API GIMPa.

%package aa
Summary:	ASCII Art plugin for GIMP
Summary(fr.UTF-8):	Plugin d'art ASCII pour GIMP
Summary(pl.UTF-8):	Wtyczka do ASCII Art do GIMPa
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description aa
This package contains the ASCII Art plugin which requires the aalib
shared library.

%description aa -l fr.UTF-8
Ce paquet contient le plugin d'art ASCII qui nécéssite la librairie
partagée aalib.

%description aa -l pl.UTF-8
Ten pakiet zawiera wtyczkę do GIMPa ze wsparciem do ASCII Art.

%package svg
Summary:	SVG plugin for GIMP
Summary(pl.UTF-8):	Wtyczka SVG dla GIMPa
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	librsvg >= 2.15.0

%description svg
SVG plugin for GIMP.

%description svg -l pl.UTF-8
Wtyczka SVG dla GIMPa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p1

%build
rm acinclude.m4
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4macros
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_python:--disable-python} \
	--enable-default-binary \
	--enable-gtk-doc \
	--enable-static \
	--with-html-dir=%{_gtkdocdir} \
	%{?with_posix_shm:--with-shm=posix} \
	%{!?with_webkit:--without-webkit}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Link gimptool to gimptool-2.0.1
ln -s gimptool-2.0 $RPM_BUILD_ROOT%{_bindir}/gimptool
echo '.so gimptool-2.0.1' > $RPM_BUILD_ROOT%{_mandir}/man1/gimptool.1

# Remove obsolete files
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gimp/%{mver}/modules/*.{a,la}
%if %{with python}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gimp/%{mver}/python/*.{a,la,py}
%endif

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:
%update_icon_cache hicolor

%postun
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE NEWS README
%doc docs/Wilber*

%attr(755,root,root) %{_bindir}/gimp-2.8
%attr(755,root,root) %{_bindir}/gimp
%attr(755,root,root) %{_bindir}/gimp-console-2.8
%attr(755,root,root) %{_bindir}/gimp-console
%{_desktopdir}/gimp.desktop
%{_mandir}/man1/gimp[-.]*
%{_mandir}/man1/gimp-console[-.]*
%{_mandir}/man5/gimprc[-.]*

%dir %{_libdir}/gimp
%dir %{_libdir}/gimp/%{mver}
%dir %{_libdir}/gimp/%{mver}/plug-ins
%{_libdir}/gimp/%{mver}/interpreters
%attr(755,root,root) %{_libdir}/gimp/%{mver}/plug-ins/*
%{?with_aalib:%exclude %{_libdir}/gimp/%{mver}/plug-ins/file-aa}
%exclude %{_libdir}/gimp/%{mver}/plug-ins/file-svg

%dir %{_libdir}/gimp/%{mver}/modules
%attr(755,root,root) %{_libdir}/gimp/%{mver}/modules/*.so
%{_libdir}/gimp/%{mver}/environ

%if %{with python}
%dir %{_libdir}/gimp/%{mver}/python
%{_libdir}/gimp/%{mver}/python/*.py[co]
%{_libdir}/gimp/%{mver}/python/*.png
%attr(755,root,root) %{_libdir}/gimp/%{mver}/python/*.so
%endif

%dir %{_datadir}/gimp
%dir %{_datadir}/gimp/%{mver}
%{_datadir}/gimp/%{mver}/brushes
%{_datadir}/gimp/%{mver}/dynamics
%{_datadir}/gimp/%{mver}/fractalexplorer
%{_datadir}/gimp/%{mver}/gfig
%{_datadir}/gimp/%{mver}/gflare
%{_datadir}/gimp/%{mver}/gimpressionist
%{_datadir}/gimp/%{mver}/gradients
%{_datadir}/gimp/%{mver}/images
%{_datadir}/gimp/%{mver}/menus
%{_datadir}/gimp/%{mver}/palettes
%{_datadir}/gimp/%{mver}/patterns
%{_datadir}/gimp/%{mver}/scripts
%{_datadir}/gimp/%{mver}/tags
%{_datadir}/gimp/%{mver}/themes
%{_datadir}/gimp/%{mver}/tips
%{_datadir}/gimp/%{mver}/tool-presets
%{_datadir}/gimp/%{mver}/ui

%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/%{mver}
%config %verify(not md5 mtime) %{_sysconfdir}/%{name}/%{mver}/gimprc*
%config(noreplace) %{_sysconfdir}/%{name}/%{mver}/templaterc
%config %{_sysconfdir}/%{name}/%{mver}/controllerrc
%config %{_sysconfdir}/%{name}/%{mver}/gtkrc*
%config %{_sysconfdir}/%{name}/%{mver}/menurc
%config %{_sysconfdir}/%{name}/%{mver}/sessionrc
%config %{_sysconfdir}/%{name}/%{mver}/unitrc

%{_iconsdir}/hicolor/*/apps/gimp.*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgimp-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgimp-2.0.so.0
%attr(755,root,root) %{_libdir}/libgimpbase-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgimpbase-2.0.so.0
%attr(755,root,root) %{_libdir}/libgimpcolor-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgimpcolor-2.0.so.0
%attr(755,root,root) %{_libdir}/libgimpconfig-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgimpconfig-2.0.so.0
%attr(755,root,root) %{_libdir}/libgimpmath-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgimpmath-2.0.so.0
%attr(755,root,root) %{_libdir}/libgimpmodule-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgimpmodule-2.0.so.0
%attr(755,root,root) %{_libdir}/libgimpthumb-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgimpthumb-2.0.so.0
%attr(755,root,root) %{_libdir}/libgimpui-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgimpui-2.0.so.0
%attr(755,root,root) %{_libdir}/libgimpwidgets-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgimpwidgets-2.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gimptool-%{mver}
%attr(755,root,root) %{_bindir}/gimptool
%attr(755,root,root) %{_libdir}/libgimp-2.0.so
%attr(755,root,root) %{_libdir}/libgimpbase-2.0.so
%attr(755,root,root) %{_libdir}/libgimpcolor-2.0.so
%attr(755,root,root) %{_libdir}/libgimpconfig-2.0.so
%attr(755,root,root) %{_libdir}/libgimpmath-2.0.so
%attr(755,root,root) %{_libdir}/libgimpmodule-2.0.so
%attr(755,root,root) %{_libdir}/libgimpthumb-2.0.so
%attr(755,root,root) %{_libdir}/libgimpui-2.0.so
%attr(755,root,root) %{_libdir}/libgimpwidgets-2.0.so
%{_libdir}/libgimp-2.0.la
%{_libdir}/libgimpbase-2.0.la
%{_libdir}/libgimpcolor-2.0.la
%{_libdir}/libgimpconfig-2.0.la
%{_libdir}/libgimpmath-2.0.la
%{_libdir}/libgimpmodule-2.0.la
%{_libdir}/libgimpthumb-2.0.la
%{_libdir}/libgimpui-2.0.la
%{_libdir}/libgimpwidgets-2.0.la
%{_pkgconfigdir}/gimp-2.0.pc
%{_pkgconfigdir}/gimpthumb-2.0.pc
%{_pkgconfigdir}/gimpui-2.0.pc
%{_includedir}/gimp-2.0
%{_aclocaldir}/gimp-2.0.m4
%{_mandir}/man1/gimptool-%{mver}.1*
%{_mandir}/man1/gimptool.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgimp-2.0.a
%{_libdir}/libgimpbase-2.0.a
%{_libdir}/libgimpcolor-2.0.a
%{_libdir}/libgimpconfig-2.0.a
%{_libdir}/libgimpmath-2.0.a
%{_libdir}/libgimpmodule-2.0.a
%{_libdir}/libgimpthumb-2.0.a
%{_libdir}/libgimpui-2.0.a
%{_libdir}/libgimpwidgets-2.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libgimp
%{_gtkdocdir}/libgimpbase
%{_gtkdocdir}/libgimpcolor
%{_gtkdocdir}/libgimpconfig
%{_gtkdocdir}/libgimpmath
%{_gtkdocdir}/libgimpmodule
%{_gtkdocdir}/libgimpthumb
%{_gtkdocdir}/libgimpwidgets

%if %{with aalib}
%files aa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gimp/%{mver}/plug-ins/file-aa
%endif

%files svg
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gimp/%{mver}/plug-ins/file-svg

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gimp.spec,v $
Revision 1.351  2012/05/03 19:32:10  wrobell
- rel. 1

Revision 1.350  2012/05/03 18:25:22  wrobell
- removed udev patch, which is part of gimp 2.8.0 already

Revision 1.349  2012/05/03 18:17:21  wrobell
- merged from DEVEL

Revision 1.348  2012/02/09 21:51:56  arekm
- release 3

Revision 1.347  2012/02/07 22:01:26  arekm
- release 2

Revision 1.346  2012/02/02 16:35:16  qboosh
- some epochs and versioned BRs

Revision 1.345  2012/02/01 19:33:07  arekm
- up to 2.6.12

Revision 1.344  2012/01/14 07:42:21  arekm
- rel 11; no poppler-glib anymore, so require newer poppler-devel

Revision 1.343  2012/01/14 07:04:00  arekm
- release 10

Revision 1.342  2012/01/13 14:49:02  arekm
- release 9

Revision 1.341  2011/11/13 13:27:07  arekm
- rel 8; fix build with poppler >= 0.17

Revision 1.340  2011/11/13 10:58:17  arekm
- release 7

Revision 1.339  2011/11/13 10:57:43  arekm
- release 6

Revision 1.338  2011/09/17 14:28:44  sls
- BR: poppler-glib with gdk

Revision 1.337  2011/07/21 12:59:30  baggins
- rel 5

Revision 1.336  2011/07/21 12:48:22  baggins
- rename patched file

Revision 1.335  2011/07/21 12:35:03  baggins
- exact gudev BR

Revision 1.334  2011/07/21 12:34:17  baggins
- replace HAL with UDEV

Revision 1.333  2011/03/26 09:01:18  qboosh
- ca@valencia locale is supported now (via LANGUAGE)

Revision 1.332  2011/02/04 18:23:46  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.331  2011/01/22 15:31:30  qboosh
- package LICENSE
- updated reqs

Revision 1.330  2010/12/29 08:05:44  lisu
- rel 3

Revision 1.329  2010/11/24 11:25:22  hawk
- release 2

Revision 1.328  2010/10/04 20:50:20  arekm
- up to 2.6.11

Revision 1.327  2010/09/21 19:00:01  glen
- release 4

Revision 1.326  2010/08/25 16:56:19  hawk
- release 3

Revision 1.325  2010/07/28 20:06:58  megabajt
- release 2

Revision 1.324  2010/07/09 08:11:36  lisu
- 2.6.10

Revision 1.323  2010/06/24 07:58:15  lisu
- updated to 2.6.9
- -libpng.patch applied upstream
- BR: rpmbuild(macros) >= 1.268

Revision 1.322  2010/01/28 18:16:40  megabajt
- remove acinclude.m4 and gtk-doc.m4

Revision 1.321  2010/01/28 18:04:42  megabajt
- %{__gtkdocize}
- release 4

Revision 1.320  2010/01/28 17:54:58  megabajt
- added -libpng.patch
- release 3

Revision 1.319  2010/01/28 16:40:08  megabajt
- release 2

Revision 1.318  2009/12/11 15:52:27  sparky
- BR: docbook-dtd412-xml

Revision 1.317  2009/12/11 14:55:22  arekm
- up to 2.6.8

Revision 1.316.2.18  2012/05/03 18:11:56  wrobell
- ver. 2.8.0 (nfy, just fetching sources)

Revision 1.316.2.17  2012/04/18 19:53:36  wrobell
- added missing files

Revision 1.316.2.16  2012/04/18 19:00:21  wrobell
- libart_lgpl lib is obsolete

Revision 1.316.2.15  2012/04/18 18:57:24  wrobell
- hal is not supported by gimp 2.8

Revision 1.316.2.14  2012/04/18 18:56:31  wrobell
- fixed python bcond (error when removing python files while building
  without python)

Revision 1.316.2.13  2012/04/18 18:55:26  wrobell
- gnomevfs is not supported by gimp 2.8 (recommit)

Revision 1.316.2.12  2012/04/18 18:53:36  wrobell
- gnomevfs is not supported by gimp 2.8

Revision 1.316.2.11  2012/04/17 20:26:14  wrobell
- started to update to ver. 2.8.0 rc1

Revision 1.316.2.10  2011/09/08 12:50:03  lisu
- TODO

Revision 1.316.2.9  2011/09/08 12:31:21  lisu
- gimp-remote and ps-menurc removed by upstream (see NEWS)

Revision 1.316.2.8  2011/09/08 12:05:14  lisu
- drop obsoleted rm

Revision 1.316.2.7  2011/09/08 11:43:43  lisu
- updated BRs

Revision 1.316.2.6  2011/09/08 09:33:27  lisu
- updated to 2.7.3

Revision 1.316.2.5  2010/07/19 08:55:39  lisu
- up to 2.7.1
- -libpng.patch removed, it's now applied upstream

Revision 1.316.2.4  2010/06/24 08:02:35  lisu
- add -libpng.patch (from HEAD)

Revision 1.316.2.3  2009/12/11 15:53:17  sparky
- BR: docbook-dtd412-xml

Revision 1.316.2.2  2009/08/21 14:02:51  lisu
- GPL v3+ license

Revision 1.316.2.1  2009/08/21 13:26:49  lisu
- up to 2.7.0

Revision 1.316  2009/08/15 22:01:52  arekm
- up to 2.6.7

Revision 1.315  2009/07/17 07:11:20  patrys
- actually use the patch

Revision 1.314  2009/07/16 12:38:43  patrys
- work around broken sanity checks so it works with current babl and gegl
- rel 5

Revision 1.313  2009/07/11 19:55:25  arekm
- release 4

Revision 1.312  2009/06/17 15:12:35  hawk
- release 3

Revision 1.311  2009/05/15 13:19:40  hawk
- release 2

Revision 1.310  2009/03/17 18:53:43  duddits
- up to 2.6.6

Revision 1.309  2009/02/16 10:42:50  patrys
- 2.6.5

Revision 1.308  2009/01/16 10:31:26  duddits
- rel. 2

Revision 1.307  2009/01/01 22:24:36  adamg
- updated to 2.6.4

Revision 1.306  2008/11/23 15:22:39  hawk
- updated to 2.6.3

Revision 1.305  2008/11/15 19:45:47  arekm
- release 3

Revision 1.304  2008/11/09 17:30:14  arekm
- release 2

Revision 1.303  2008/10/30 21:21:22  arekm
- up to 2.6.2

Revision 1.302  2008/10/25 12:56:01  qboosh
- updated BRs, added webkit bcond

Revision 1.301  2008/10/15 16:07:59  sls
- updated BR

Revision 1.300  2008/10/15 15:55:03  sls
- BR: intltool >= 0.35.5

Revision 1.299  2008/10/10 08:28:14  arekm
- up to 2.6.1

Revision 1.298  2008/10/03 22:45:00  duddits
- forgot to remove one redundant linkage

Revision 1.297  2008/10/03 22:39:45  duddits
- rel. 2
- %build: disable-rpath removed (obsolete)
- %build: enable-mp removed (enabled by default)
- some linking in %install updated

Revision 1.296  2008/10/01 18:39:05  arekm
BR: gtk-webkit-devel

Revision 1.295  2008/10/01 18:15:53  arekm
- up to 2.6

Revision 1.294  2008/08/21 10:53:12  undefine
- up to 2.4.7
- make -j1 is not needed - builds fine without it ;)

Revision 1.293  2008/07/18 11:03:45  hawk
- release 3

Revision 1.292  2008/06/02 07:52:54  hawk
- workaround 'error: gimp-2.4.6-1: req /usr/share/locale/ca@valencia/LC_MESSAGES not found'
  using rm -rf (is this valid locale name?)

Revision 1.291  2008-05-31 15:14:39  arekm
- up to 2.4.6

Revision 1.290  2008-04-13 16:59:09  arekm
- release 2

Revision 1.289  2008-03-03 15:09:13  arekm
- up to 2.4.5

Revision 1.288  2007-12-24 20:28:04  qboosh
- more verbose files list, ghost soname symlinks
- package man links

Revision 1.287  2007-12-20 19:09:45  qboosh
- reverted false libcap BR, fix your GNOME libs

Revision 1.286  2007-12-20 19:08:33  qboosh
- GPL/LGPL v2+

Revision 1.285  2007-12-20 13:39:20  jezik
- missing BuildRequires libcap-devel

Revision 1.284  2007-12-17 02:00:46  lkrotowski
- up to 2.4.3

Revision 1.283  2007-12-11 17:45:50  megabajt
- added apidocs subpackage
- unified GIMP name

Revision 1.282  2007-12-06 22:57:45  qboosh
- removed obsolete nognome patch, use --disable-gnomevfs instead
- updated some deps

Revision 1.281  2007-11-22 20:18:46  wolf
- 2.4.2

Revision 1.280  2007-11-01 15:44:17  lkrotowski
- up to 2.4.1

Revision 1.279  2007/10/25 06:19:30  ankry
- tabs

Revision 1.278  2007/10/24 13:22:05  arekm
- move 2.4.0 from DEVEL; 2.2.x series on GIMP_2_2 tag

Revision 1.218.2.65  2007/10/24 13:16:52  arekm
- up to 2.4.0

Revision 1.218.2.64  2007/10/04 17:21:11  arekm
- up to rc4

Revision 1.218.2.63  2007/09/04 18:16:13  wrobell
- version 2.4.0-rc2

Revision 1.218.2.62  2007/09/04 10:08:15  wrobell
- rel. 0.rc1.2 to rebuild with poppler 0.6

Revision 1.218.2.61  2007/08/17 04:05:48  lkrotowski
- yay for gimp 2.4 rc1

Revision 1.218.2.60  2007/08/07 18:52:46  arekm
- up to 2.3.19

Revision 1.218.2.59  2007/07/31 18:26:56  qboosh
- removed obsolete selinux comment (caught through gnome-vfs2->librsvg)

Revision 1.218.2.58  2007/06/16 18:28:46  wolf
- 2.3.18

Revision 1.218.2.57  2007/06/01 22:04:15  aflinta
- up to 2.3.17

Revision 1.218.2.56  2007/04/25 22:00:11  vip
- updated deps (gtk+ >= 2.10.6, refer NEWS)

Revision 1.218.2.55  2007/04/25 21:54:08  vip
- 2.3.16

Revision 1.218.2.54  2007/03/10 18:46:06  wolf
- 2.3.15

Revision 1.218.2.53  2007/02/12 13:20:13  baggins
- converted to UTF-8

Revision 1.218.2.52  2007/01/24 23:42:45  wolf
- 2.3.14

Revision 1.218.2.51  2006/11/24 20:33:06  wolf
- 2.3.13

Revision 1.218.2.50  2006/10/13 17:47:46  wolf
- BR rpm-pythonprov

Revision 1.218.2.49  2006/10/13 16:22:29  wolf
- note about libselinux-devel

Revision 1.218.2.48  2006/10/13 15:36:54  wolf
- BR xorg-lib-libXpm-devel

Revision 1.218.2.47  2006/10/13 15:26:39  wolf
- s/libungif/giflib/

Revision 1.218.2.46  2006/10/13 11:15:12  wolf
- 2.3.12

Revision 1.218.2.45  2006/09/08 17:26:18  wolf
- 2.3.11 (only fetch src)

Revision 1.218.2.44  2006/08/29 08:02:18  havner
- typo

Revision 1.218.2.43  2006/08/29 07:54:27  havner
- as-needed global now
- bconded nognome patch (so gnome bcond makes sense now when you got
  gnome devels installed)

Revision 1.218.2.42  2006/08/29 07:44:09  havner
- gnome version requires libgnomeui now

Revision 1.218.2.41  2006/08/27 11:53:10  havner
- rebuild with 2.5
- rel 3

Revision 1.218.2.40  2006/07/12 20:42:14  freetz
- rel.2, updated deps, --as-needed support

Revision 1.218.2.39  2006/07/06 21:06:28  freetz
- new GTK+ print API is used in this release, printing plugins removed
  upstream

Revision 1.218.2.38  2006/07/06 18:15:01  wolf
- 2.3.10

Revision 1.218.2.37  2006/06/30 15:07:50  pluto
- release 3 for rebuild with new libpng soname.

Revision 1.218.2.36  2006/06/21 21:40:05  freetz
- more bleeding edge deps

Revision 1.218.2.35  2006/06/21 21:33:48  freetz
- separated libraries (more builder friendly), bleeding edge edps, rel.2

Revision 1.218.2.34  2006/06/11 11:40:02  freetz
- (re)generate icon cache

Revision 1.218.2.33  2006/06/07 17:53:58  freetz
- 2.3.9

Revision 1.218.2.32  2006/04/17 10:57:58  freetz
- rel.1

Revision 1.218.2.31  2006/04/14 09:30:03  freetz
- 2.3.8, updated BR, added gnome bcond, dropped pixmapsdir support,
  switch off print bcond when gnome support is on (provides print support
  too), NFY (feedback needed)

Revision 1.218.2.30  2006/04/05 22:03:47  adgor
- Reverted (as freetz said)

Revision 1.218.2.29  2006/04/05 21:47:06  adgor
- BR glitz-devel

Revision 1.218.2.28  2006/04/04 08:23:09  arekm
- rel 3 to avoid qt4 crap due to poppler

Revision 1.218.2.27  2006/03/20 20:40:25  freetz
- rel.2 (libgsf soname change)

Revision 1.218.2.26  2006/02/09 14:48:18  freetz
- fixed typo

Revision 1.218.2.25  2006/02/09 14:35:56  freetz
- 2.3.7

Revision 1.218.2.24  2005/12/29 16:21:12  freetz
- 2.3.6

Revision 1.218.2.23  2005/11/05 17:11:23  wolf
- 2.3.5

Revision 1.218.2.22  2005/09/27 14:37:39  pawcioos
- updated to 2.3.4

Revision 1.218.2.21  2005/08/10 23:56:42  wolf
- BR: poppler-glib-devel

Revision 1.218.2.20  2005/08/10 21:15:24  freetz
- 2.3.3

Revision 1.218.2.19  2005/07/11 14:42:45  freetz
- rm obsolete gnome mime stuff, packaged hicolor app icon 48x48 ->
  R: hicolor-icon-theme

Revision 1.218.2.18  2005/07/02 18:59:31  wolf
- 2.3.2

Revision 1.218.2.17  2005/06/10 15:49:24  wolf
- 2.3.1 (only to fetch sources)

Revision 1.218.2.16  2005/05/15 13:21:19  wolf
- 2.3.0
